# hey Emacs, its -*- rpm-spec -*-
# $Id: php-mysql,v 1.6 2002/11/13 03:05:37 ab Exp $
###############################################################
# This SPEC file is a configurable skeleton for PHP modules
# which are distributed with PHP4 tarball.
# Copyright (c) 2001 Alexander Bokovoy <ab@avilink.net>
# This SPEC file is available under terms of GNU GPL license
# versions 2 or greater
###############################################################
#  <Configuration>
#_/---------------\____________________________________________
# Package should be added into mod_php and/or console php?
# Some modules can be used under both, others (like php_gtk
# or midgard) are not.
%define 	use_mod_php	1
%define		use_con_php	1
#
# Package name without php prefix
%define		package_name	mysql
###############################################################

Name:	 	php-%package_name
Version:	4.3.0
Release:	alt0.cvs20030207
Group:		System/Servers
Requires:	libMySQL
License:	PHP Licence
Prereq:		php-common >= 1:%version-%release
# Automatically added by buildreq on Tue Dec 31 2002
BuildRequires: gcc-c++ glibc-devel-static libMySQL-devel 
BuildRequires: php-devel >= 1:%version-%release zlib-devel
Obsoletes:	mod_php3-mysql, mod_php-mysql
Summary:	MySQL database module for PHP4
%add_serial php-devel

%description
The php-mysql package includes a dynamic shared object (DSO) that adds MySQL
database support to PHP4.  MySQL is an object-relational database management
system that supports almost all SQL constructs. PHP is an HTML-embedded
scripting language. If you need back-end support for MySQL, you should
install this package in addition to the main php package.

%prep
%setup -T -c
cp -pr /usr/src/php-devel/extensions/%package_name/* .

%build
phpize

BUILD_HAVE=`echo %package_name | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%{_libdir}"
#" -DHAVE_${BUILD_HAVE}=1 -DCOMPILE_DL_${BUILD_HAVE}=1"; 
export CFLAGS  

%configure --with-mysql=/usr 
find -type f|xargs grep -l "MYSQL_SHARED_LIBADD" |\
	xargs /usr/bin/subst 's| -lmysqlclient| -L/usr/lib -lmysqlclient -lz -lcrypt -lnsl -lm|'

%php_make

%install
%php_make install

%clean

%files
%{_libdir}/php/extensions/*

%post
%php_postin

%preun
%php_preun

%postun
%php_postun

%changelog
* Mon Feb 03 2003 Alexey Gladkov <legion@altlinux.ru> 1:4.3.0-alt0.cvs20030207
- PHP 4.3.0-dev CVS-20030207
- Bugfixes

* Wed Nov 13 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt5
- Fix permissions

* Sun Nov 10 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt4
- Rebuild with gcc 3.2.1
- Use macros from php-common to simplify spec file

* Wed Mar 27 2002 Alexander Bokovoy <ab@altlinux.ru> 1:4.1.2-alt3
- Fixed:
    + sendmail detection in BTE forced to be unconditional (closes #0000751)

* Fri Mar 15 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt2
- Added:
    + Security audit patch from phpaudit.42-networks.com, 
      fixes multiple (theoretical) buffer overflows fixes
- post install script fixed

* Thu Feb 28 2002 Alexander Bokovoy <ab@altlinux.ru> 4.1.2-alt1
- PHP 4.1.2
- Spec cleanups

* Thu Sep 27 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt1
- PHP 4.0.6
- Bugfixes
- Rebuild against DB 3.3

* Tue Jun 05 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.3RC2
- Release candidate 2 for PHP 4.0.6

* Mon May 28 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.2RC1
- Fix for build environment rolled back due final fix in PHP4 itself

* Mon May 14 2001 Alexander Bokovoy <ab@altlinux.ru> 4.0.6-alt0.RC1
- Release Candidate 1 for 4.0.6

* Thu Apr 05 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5.RC6-alt1
- ALTification
- Last release candidate for 4.0.5
- SPEC file changes:
    + Reference to PHP source removed, php-devel is used to acquire sources of module 
    + locale-specific info unset during installation
    + nosrc -> src because NoSource tag cannot be used without corresponding Source one

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl1
- First stable build

* Sat Mar 17 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.6
- Rebuild against libmysqlclient_r, not libmysqlclient

* Fri Mar 16 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.5
- Fixed bug with mysql socket. This also eliminates need to have
  MySQL working during php-mysql build.

* Thu Mar 15 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.4
- Rebuild with fixed version of PHP4

* Sun Mar 11 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.3
- Fixed:
    + Build process for self-contained shared modules in PHP is generally broken,
      fixed by automatically adding -DHAVE_{MODULE}=1 -DCOMPILE_DL_{MODULE}=1 to
      configure

* Sat Mar 10 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.2
- More enhancements in SPEC file:
    + Automatically gather PHP version, so no need to synchronize
      spec file's Version: field when new version of PHP is installed

* Thu Mar 08 2001 Alexander Bokovoy <ab@avilink.net> 4.0.5-ipl0.1
- Created new generalized spec file for nosrc.rpm for PHP modules
- Added ability to tune module installation for Console/Apache-based PHP
  Some modules cannot work in Web-server environment (php_gtk), some --
  in Console mode (midgard), some will be happy in both environments
  
